package com.eco.plugin.xx.zcgjsync.controller;

import com.eco.plugin.xx.zcgjsync.utils.*;
import com.fr.decision.webservice.annotation.LoginStatusChecker;
import com.fr.third.springframework.stereotype.Controller;
import com.fr.third.springframework.web.bind.annotation.PostMapping;
import com.fr.third.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Controller
@LoginStatusChecker(required = false)
public class ControllerSelf {

    @PostMapping(value = "/syncOrg")
    @ResponseBody
    public void syncOrg(HttpServletRequest req,HttpServletResponse res){
        String param = Utils.getRequestBodyText(req);
        String token = req.getHeader("token");
        String result = OrgUtils.operOrg(param,token);

        FRUtils.FRLogInfo("org xml:"+param+"\ntoken:"+token);

        ResponseUtils.responseText(res,result);
    }

    @PostMapping(value = "/syncUser")
    @ResponseBody
    public void syncUser(HttpServletRequest req,HttpServletResponse res){
        String param = Utils.getRequestBodyText(req);
        String token = req.getHeader("token");
        String result = UserUtils.operUser(param,token);

        FRUtils.FRLogInfo("user xml:"+param+"\ntoken:"+token);

        ResponseUtils.responseText(res,result);
    }
}
